Summary: shared libraries for standard libc5 programs
Name: libc5compat
Version: 1.0
Release: 2
Serial: 2000021401
ExclusiveArch: i386
ExclusiveOS: Linux
Copyright: GPL
Group: Libraries
Source: libc5.tar.gz
BuildRoot: /var/tmp/libc-root

%package X11
Summary: shared libraries for X11 libc5 programs
Group: Libraries
Requires: libc5compat

%package svga
Summary: shared libraries for SVGAlib libc5 programs
Group: Libraries
Requires: libc5compat

%description
Contains the standard libraries that are used by multiple programs on
the system that were compiled using the old libc 5 libraries. In order
to save disk space and memory, as well as to ease upgrades, common
system code is kept in one place and shared between programs. This package
contains the most important sets of shared libraries, the old standard C
library and the standard math library.

%description X11
Contains the standard libraries that are used by multiple X11 programs on
the system that were compiled using the old libc 5 libraries. In order
to save disk space and memory, as well as to ease upgrades, common
system code is kept in one place and shared between programs. This package
contains the libs you need to run some older programs that expect to
find the libc5 X libs.

%description svga
Contains the standard libraries that are used by multiple programs on
the system that were compiled using the old libc 5 libraries. In order
to save disk space and memory, as well as to ease upgrades, common
system code is kept in one place and shared between programs. This package
contains the libs you need to run some older programs that expect to
find the libc5 SVGAlib libraries.

%changelog
* Fri Apr 16 1999 Kelley Spoon <kspoon@turbolinux.com>
- faced with the problem of recompiling this bastard on a glibc
  system, I just took the files from the old libc-5 rpm, tarred
  them up, and we'll use that from here on out. Ditto for X11 
  and svgalib stuff.
- Oh yeah, the old libc-5 rpm had a fscking nsswitch.conf in
  it that was screwing everything up and causing hangs during
  the install.  We need to start checking this kind of crap....
- all previous changelog entries deleted.... this is a dead lib.

%prep
# libc5.tar.gz holds libs for libc5, X11, and svgalib.
%setup -n libc5

%build 
# Hrm....nothing to do here.  I could get used to this....

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/libc5-compat

for h in base svga X11
do
  for i in `ls $h/*so*`
  do
    BASE=`echo $i | cut -f2 -d/`
    cp -a $i $RPM_BUILD_ROOT/usr/lib/libc5-compat/$BASE
  done
done


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! `grep /usr/lib/libc5-compat /etc/ld.so.conf` ]
then
  echo "/usr/lib/libc5-compat" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun -p /sbin/ldconfig

%postun svga
/sbin/ldconfig

%postun X11
/sbin/ldconfig

%files
%doc base/doc/*
/usr/lib/libc5-compat/libc.so.5.4.38
/usr/lib/libc5-compat/libm.so.5.0.9
/usr/lib/libc5-compat/libc.so.5
/usr/lib/libc5-compat/libm.so.5

%files svga
/usr/lib/libc5-compat/libvga.so
/usr/lib/libc5-compat/libvga.so.1
/usr/lib/libc5-compat/libvga.so.1.2.11
/usr/lib/libc5-compat/libvgagl.so
/usr/lib/libc5-compat/libvgagl.so.1
/usr/lib/libc5-compat/libvgagl.so.1.2.11

%files X11

/usr/lib/libc5-compat/libICE.so
/usr/lib/libc5-compat/libICE.so.6
/usr/lib/libc5-compat/libICE.so.6.3
/usr/lib/libc5-compat/libMagick.so
/usr/lib/libc5-compat/libMagick.so.3.9
/usr/lib/libc5-compat/libMagick.so.3.9.1
/usr/lib/libc5-compat/libMrm.so
/usr/lib/libc5-compat/libMrm.so.0
/usr/lib/libc5-compat/libMrm.so.1
/usr/lib/libc5-compat/libMrm.so.1.2.0
/usr/lib/libc5-compat/libPEX5.so
/usr/lib/libc5-compat/libPEX5.so.6
/usr/lib/libc5-compat/libPEX5.so.6.0
/usr/lib/libc5-compat/libSM.so
/usr/lib/libc5-compat/libSM.so.6
/usr/lib/libc5-compat/libSM.so.6.0
/usr/lib/libc5-compat/libX11.so
/usr/lib/libc5-compat/libX11.so.6
/usr/lib/libc5-compat/libX11.so.6.1
/usr/lib/libc5-compat/libXIE.so
/usr/lib/libc5-compat/libXIE.so.6
/usr/lib/libc5-compat/libXIE.so.6.0
/usr/lib/libc5-compat/libXaw.so
/usr/lib/libc5-compat/libXaw.so.6
/usr/lib/libc5-compat/libXaw.so.6.1
/usr/lib/libc5-compat/libXaw3d.so
/usr/lib/libc5-compat/libXaw3d.so.6
/usr/lib/libc5-compat/libXaw3d.so.6.1
/usr/lib/libc5-compat/libXext.so
/usr/lib/libc5-compat/libXext.so.6
/usr/lib/libc5-compat/libXext.so.6.3
/usr/lib/libc5-compat/libXi.so
/usr/lib/libc5-compat/libXi.so.6
/usr/lib/libc5-compat/libXi.so.6.0
/usr/lib/libc5-compat/libXm.so
/usr/lib/libc5-compat/libXm.so.0
/usr/lib/libc5-compat/libXm.so.1
/usr/lib/libc5-compat/libXm.so.1.2.0
/usr/lib/libc5-compat/libXmu.so
/usr/lib/libc5-compat/libXmu.so.6
/usr/lib/libc5-compat/libXmu.so.6.0
/usr/lib/libc5-compat/libXpm.so
/usr/lib/libc5-compat/libXpm.so.4
/usr/lib/libc5-compat/libXpm.so.4.10
/usr/lib/libc5-compat/libXt.so
/usr/lib/libc5-compat/libXt.so.6
/usr/lib/libc5-compat/libXt.so.6.0
/usr/lib/libc5-compat/libXtst.so
/usr/lib/libc5-compat/libXtst.so.6
/usr/lib/libc5-compat/libXtst.so.6.1
/usr/lib/libc5-compat/libforms.so
/usr/lib/libc5-compat/libforms.so.0.88
